%define cobc_ver 0.30
%define release  1

Summary:       OpenCOBOL - COBOL compiler
Summary(ja):   OpenCOBOL - COBOL コンパイラ
Name:          open-cobol
Version:       %{cobc_ver}
Release:       %{release}
Source:        http://prdownloads.sourceforge.net/open-cobol/%{name}-%{version}.tar.bz2
Group:         Development/Languages
Copyright:     GPL, LGPL
BuildRequires: gmp >= 3.11, readline
Requires:      gmp >= 3.11, readline
Buildroot:     %{_tmppath}/%{name}-%{version}-buildroot

# Packager:	Keiichi Takahashi <bitwalk@csc.jp>
# Vendor:	bitWalk Co., Ltd.

Packager:	Matthias G. Eckermann <mge@suse.de>
Distribution:	SuSE SLES-9 (i586) Addon

%description
OpenCOBOL is an open-source COBOL compiler, which translates COBOL
programs to C code and compiles it using GCC.

See the following page for more information about OpenCOBOL:

  http://open-cobol.sourceforge.net/

%description -l ja
OpenCOBOL はオープンソースな COBOL コンパイラです。
COBOL で書かれたプログラムを C 言語に変換して実行します。

OpenCOBOL に関する情報は、以下のサイトから得られます。

  http://open-cobol.sourceforge.net/

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
%configure --with-readline
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr (-,root,root)
%doc ABOUT-NLS AUTHORS COPYING COPYING.LIB ChangeLog
%doc INSTALL NEWS README THANKS TODO
%{_bindir}
%{_libdir}
%{_includedir}
%{_datadir}/locale
%{_datadir}/open-cobol
%{_infodir}/open-cobol.info*

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Mon Aug 02 2004 Keiichi Takahashi <bitwalk@csc.jp>	0.30-1
- update 0.30
- build on Fedora Core 2.

* Wed Jul 07 2004 Keiichi Takahashi <bitwalk@csc.jp>	0.29a-0
- update 0.29a (CVS).
- build on Fedora Core 2.

* Thu Jun 11 2003 Keiichi Takahashi <bitwalk@jcom.home.ne.jp>
- update 0.23.

* Mon Jun 08 2003 Keiichi Takahashi <bitwalk@jcom.home.ne.jp>
- update 0.22.

* Mon May 19 2003 Keiichi Takahashi <bitwalk@jcom.home.ne.jp>
- update 0.21.

* Sun Apr 27 2003 Keiichi Takahashi <bitwalk@jcom.home.ne.jp>
- update 0.20.

* Sat Apr 12 2003 Keiichi Takahashi <bitwalk@jcom.home.ne.jp>	0.12-2
- rebuild on RH9.

* Sat Mar 01 2003 Keiichi Takahashi <bitwalk@jcom.home.ne.jp>
- update 0.12.

* Thu Feb 27 2003 Keiichi Takahashi <bitwalk@jcom.home.ne.jp>
- update 0.11.3.

* Tue Feb 25 2003 Keiichi Takahashi <bitwalk@jcom.home.ne.jp>
- update 0.11.1.

* Fri Jan 31 2003 Keiichi Takahashi <bitwalk@jcom.home.ne.jp>
- build new spec.
